summaryrefslogtreecommitdiffstats
path: root/debian/systemd-resolved.postrm
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 15:35:19 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 15:35:19 +0000
commitb7e8d5af06ee840cc48217ca4629cf28aeeb3c50 (patch)
tree6aa8dc840b085de50db46e2ad0725eae248fef02 /debian/systemd-resolved.postrm
parentAdding upstream version 252.22. (diff)
downloadsystemd-b7e8d5af06ee840cc48217ca4629cf28aeeb3c50.tar.xz
systemd-b7e8d5af06ee840cc48217ca4629cf28aeeb3c50.zip
Adding debian version 252.22-1~deb12u1.debian/252.22-1_deb12u1debian
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'debian/systemd-resolved.postrm')
-rw-r--r--debian/systemd-resolved.postrm24
1 files changed, 24 insertions, 0 deletions
diff --git a/debian/systemd-resolved.postrm b/debian/systemd-resolved.postrm
new file mode 100644
index 0000000..e56e04d
--- /dev/null
+++ b/debian/systemd-resolved.postrm
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+set -e
+
+if [ "$1" = remove ]; then
+ if [ "$(readlink "${DPKG_ROOT}/etc/resolv.conf")" = "../run/systemd/resolve/stub-resolv.conf" ] || [ "$(readlink "${DPKG_ROOT}/etc/resolv.conf")" = "/run/systemd/resolve/stub-resolv.conf" ]; then
+ echo "Removing /etc/resolv.conf symlink to /run/systemd/resolve/stub-resolv.conf..."
+ rm -f "${DPKG_ROOT}/etc/resolv.conf" || echo "Cannot remove /etc/resolv.conf."
+ if [ -f "${DPKG_ROOT}/run/systemd/resolve/resolv.conf" ]; then
+ echo "Copying /run/systemd/resolve/resolv.conf to /etc/resolv.conf..."
+ cp "${DPKG_ROOT}/run/systemd/resolve/resolv.conf" "${DPKG_ROOT}/etc/resolv.conf" || echo "Cannot copy /run/systemd/resolve/resolv.conf to /etc/resolv.conf."
+ # We prefer a current resolv.conf rather than an older backup, if available
+ rm -f "${DPKG_ROOT}/etc/.resolv.conf.systemd-resolved.bak"
+ elif [ -f "${DPKG_ROOT}/etc/.resolv.conf.systemd-resolved.bak" ]; then
+ echo "Restoring previous resolv.conf..."
+ mv "${DPKG_ROOT}/etc/.resolv.conf.systemd-resolved.bak" "${DPKG_ROOT}/etc/resolv.conf" || echo "Cannot restore /etc/resolv.conf backup."
+ else
+ echo "Creating an empty /etc/resolv.conf..."
+ touch "${DPKG_ROOT}/etc/resolv.conf" || echo "Cannot create an empty /etc/resolv.conf."
+ fi
+ fi
+fi
+
+#DEBHELPER#